/**
 * @brief Traitement simple d'images bmp - Manipulation des images
 * @author Ph Lefebvre
 * @arch Linux x86 64 bits
 * @file image.c
 * 
*/

#include <stdio.h>
#include <string.h>
#include <errno.h>
#include <stdlib.h>
#include <image.h>


/** Réserve en mémoire la place pour une nouvelle image
@param l : largeur de l'image
@param h : hauteur de l'image
@return une structure de données contenant l'image dont tous les points sont noirs
*/
Image newImage (int l, int h) {
	Image im ;
	int i ;
	im.la = l;
	im.ha = h ;
	im.r = (unsigned char**) calloc (im.la, sizeof(char*));
    for (i=0; i<im.la; i++ )
        im.r[i] = (unsigned char*) calloc (im.ha, sizeof(char));
        
    im.g = (unsigned char**) calloc (im.la, sizeof(char*));
    for (i=0; i<im.la; i++ )
        im.g[i] = (unsigned char*) calloc (im.ha, sizeof(char));
        
    im.b = (unsigned char**) calloc (im.la, sizeof(char*));
    for (i=0; i<im.la; i++ )
        im.b[i] = (unsigned char*) calloc (im.ha, sizeof(char));
    return (im) ;
}
