/**
 * @brief Traitement simple d'images - Manipulation des images
 * @author Ph Lefebvre
 * @arch Linux x86 64 bits
 * @file image.h
*/

#include <stdio.h>
#include <string.h>
#include <errno.h>
#include <stdlib.h>

typedef struct sCouleur {
	unsigned char r ; 
	unsigned char g ;
	unsigned char b ;
} PixelCouleur ;


typedef struct simage {
	int la ;
	int ha ;
	unsigned char **r ; // coordonnées 0,0 -> en bas à gauche
	unsigned char **g ;
	unsigned char **b ;
} Image ;
	
	
/** Réserve en mémoire la place pour une nouvelle image
@param l : largeur de l'image
@param h : hauteur de l'image
@return une structure de données contenant l'image dont tous les points sont noirs
*/
Image newImage (int l, int h) ;


